<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.MunicipalInteractiveColumnsMapper">
    
    <resultMap type="MunicipalInteractiveColumns" id="MunicipalInteractiveColumnsResult">
    	<id     property="id"      column="id"      />
        <result property="deptName"    column="dept_name"    />
        <result property="municipalReply"     column="municipal_reply"     />
        <result property="leaveCount"     column="leave_count"     />
        <result property="replyCount"     column="reply_count"     />
    </resultMap>
    
    <sql id="selectMunicipalInteractiveColumnsVo">
        select id, dept_name, municipal_reply, leave_count, reply_count from sooka_municipalinteractive_columns
    </sql>

    <select id="selectMunicipalInteractiveColumnsList" parameterType="MunicipalInteractiveColumns" resultMap="MunicipalInteractiveColumnsResult">
        <include refid="selectMunicipalInteractiveColumnsVo"/>
    </select>

	<delete id="deleteMunicipalInteractiveColumnsAll" parameterType="Long">
		delete from sooka_municipalinteractive_columns
	</delete>

	<insert id="insertBatch">
		insert into sooka_municipalinteractive_columns (dept_name, municipal_reply, leave_count, reply_count) values
		<foreach item="item" collection="list" separator=",">
			(#{item.deptName},#{item.municipalReply},#{item.leaveCount},#{item.replyCount})
		</foreach>
	</insert>


</mapper>